Subject: Re: bug#23910: [Guix Info][7.1.5] Should warn user about losing Internet or DNS connection

From: Eus <[email-masked]>
Date: Tue, 13 Sep 2016 22:05:14 +0700

On Tue, Sep 13, 2016 at 4:52 PM, Ludovic Courtès <[email-masked]> wrote:

> Hello!
>
> Eus <[email-masked]> skribis:
>
> > Sorry for replying just now. I did not try to reproduce the bug back at
> > that time. So, I took the time yesterday to try to reproduce the bug.
> And,
> > I cannot reproduce the problem after repeating the following rough steps
> > two times with the same bootable disk and machine and network (but the
> > external connection to the ISP may have changed in the mean time):
> >
> > 1. Format my /dev/sda8
> > 2. Swapon my /dev/sda7
> > 3. mount my /dev/sda8 to /mnt
> > 4. herd start cow-store /mnt
> > 5. umount /tmp
> > 6. mount --bind /mnt/tmp2 /tmp
> > 7. ifconfig, wpa_supplicant, dhclient
> > 8. guix pull
> > 9. guix system --no-grub --keep-failed init /mnt/etc/config.scm /mnt
>
> Normally step #8 can be omitted because hydra.gnu.org still has binaries
> for the packages 0.11.0 provides.
>

Oh, I retried everything with 0.10.0 since I had the problem back then with
0.10.0.
I have not had the chance to try 0.11.0.

> Step #6 is also redundant with step #4 (‘herd start cow-store’ make /tmp
> a bind mount to /mnt/tmp; see gnu/system/install.scm:154.)
>

Thank you for letting me know this. That will save my time in the future.

> > The whole process took just about 100 minutes.
>
> That’s a lot of time.
>

Really? What is your approximate time?

Perhaps it is because I used 0.10.0, guix pull, and my Internet connection
here is slow.

> > So, I cannot reproduce the bug.
>
> Great.  Thanks for taking the time to verify!
>

Anytime!

> Ludo’.

--
Eus